org.eclipse.viatra.query.runtime.matchers.planning.operations

## Class PApply

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.planning.operations.POperation
  - - org.eclipse.viatra.query.runtime.matchers.planning.operations.PApply

-     public class PApply
      extends POperation

  Represents a constraint application on a single parent SubPlan.

  Either a "selection" filter operation according to a deferred PConstraint (or transform in case of eval/aggregate), or alternatively a shorthand for PJoin + a PEnumerate on the right input for an enumerable PConstraint.

  WARNING: if there are coinciding variables in the variable tuple of the enumerable constraint, it is the responsibility of the compiler to check them for equality.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PApply(PConstraint pConstraint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkConsistency(SubPlan subPlan)` Checks whether this constraint can be properly applied at the given SubPlan.
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<? extends PConstraint>` | `getDeltaConstraints()` Newly enforced constraints
    `PConstraint` | `getPConstraint()`
    `java.lang.String` | `getShortName()`
    `int` | `hashCode()`
    `int` | `numParentSubPlans()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.planning.operations.POperation

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PApply

          public PApply(PConstraint pConstraint)

  - ### Method Detail

    - #### getPConstraint

          public PConstraint getPConstraint()

    - #### getShortName

          public java.lang.String getShortName()

      Specified by:
        `getShortName` in class `POperation`

    - #### getDeltaConstraints

          public java.util.Set<? extends PConstraint> getDeltaConstraints()

      Description copied from class: `POperation`
      Newly enforced constraints
      Specified by:
        `getDeltaConstraints` in class `POperation`

    - #### numParentSubPlans

          public int numParentSubPlans()

      Specified by:
        `numParentSubPlans` in class `POperation`
      Returns:
        the number of SubPlans that must be specified as parents

    - #### checkConsistency

          public void checkConsistency(SubPlan subPlan)

      Description copied from class: `POperation`
      Checks whether this constraint can be properly applied at the given SubPlan.
      Overrides:
        `checkConsistency` in class `POperation`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`